Support » Plugin: Furgonetka.pl: Integracja z WooCommerce » Błąd podczas integracji w WooCommerce

  • wotik

    (@wotik)


    W trakcie integracji, po zatwierdzeniu kluczy pojawia się komunikat:
    W witrynie wystąpił błąd krytyczny. W wiadomości wysłanej na adres e-mail administratora strony umieszczono dodatkowe instrukcje.

    WordPress w wersji 5.5.1
    Aktualny motyw: OnePress (wersja 2.2.5)
    Aktualna wtyczka: Furgonetka (wersja 1.0.4)
    Wersja PHP: 7.2.33

    Szczegóły błędu
    ===================
    Błąd typu E_ERROR został spowodowany w linii 449 pliku /home/xxx/public_html/test1/wp-content/plugins/furgonetka/admin/class-furgonetka-admin.php. Komunikat błędu: Uncaught Error: Class ‘SoapClient’ not found in /home/xxx/public_html/test1/wp-content/plugins/furgonetka/admin/class-furgonetka-admin.php:449
    Stack trace:
    #0 /home/xxx/public_html/test1/wp-content/plugins/furgonetka/admin/class-furgonetka-admin.php(263): Furgonetka_Admin->createIntegration()
    #1 /home/xxx/public_html/test1/wp-includes/class-wp-hook.php(287): Furgonetka_Admin->furgonetka_options(”)
    #2 /home/xxx/public_html/test1/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(”, Array)
    #3 /home/xxx/public_html/test1/wp-includes/plugin.php(478): WP_Hook->do_action(Array)
    #4 /home/xxx/public_html/test1/wp-admin/admin.php(259): do_action(‘woocommerce_pag…’)
    #5 {main}
    thrown

    • This topic was modified 5 months ago by wotik.
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Furgonetka.pl

    (@furgonetka)

    Dzień dobry,

    Prawdopodobnie na serwerze, na którym mają Państwo sklep, nie ma dostępnego SoapClienta. W tej sprawie prosimy aby zgłosili się Państwo do administratora serwera z prośbą o udostępnienie SoapClient dla php.

    Thread Starter wotik

    (@wotik)

    Witam
    Ok. Włączyłem to. Pomogło.
    Ale teraz mam taki komunikat błędu:
    Niepoprawny format odpowiedzi z API sklepu. Oryginalny błąd: "API returned HTML response with 404 code, JSON expected.".
    Co tym razem trzeba poprawić? 😉

    Plugin Author Furgonetka.pl

    (@furgonetka)

    Komunikat błędu świadczy o tym, że problem związany jest z połączeniem API Państwa sklepu. URL który jest dostępny pod adresem “/wp-json” system traktuje jako normalną podstronę a nie API. Prosimy w tym wypadku o sprawdzenie konfiguracji Państwa sklepu oraz o kontakt z WooCommerce / WordPress aby pomogli Państwu rozwiązać występujący problem.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.